<!---
First, validate all the information that we got --->

<!--- 
If they haven't made a choice, or the choice is not
numeric, throw an error. --->
<cfif choice eq "" or not(isnumeric(choice)) or choice eq 0>
	<cfset validation_error = listappend(validation_error, "choice")>
</cfif>

<!---
Make sure that the name is not blank, and that there are no numbers or 
punctuation in it --->
<cfif name eq "" or (REFindNoCase("[[:digit:]]|[[:punct:]]", name, 1) neq 0)>
	<cfset validation_error = listappend(validation_error, "name")>	
</cfif>

<!---
Address can be difficult to verify.  Just make sure it isn't blank for now --->
<cfif address eq "">
	<cfset validation_error = listappend(validation_error, "address")>
</cfif>

<!---
Check to see if city is blank, or if it has strange characters in it.
--->
<cfif city eq "" or (REFindNoCase("[[:digit:]]|[[:punct:]]", city, 1) neq 0)>
	<cfset validation_error = listappend(validation_error, "city")>
</cfif>

<!---
This makes sure that state is not blank and contains no special characters. --->
<cfif state eq "" or (REFindNoCase("[[:digit:]]|[[:punct:]]", state, 1) neq 0)>
	<cfset validation_error = listappend(validation_error, "state")>
</cfif>

<!---
This checks to make sure zip code is the proper length, it is not blank,
and it is numeric. --->
<cfif zip eq "" or not(isnumeric(zip)) or len(zip) neq 5>
	<cfset validation_error = listappend(validation_error, "zip")>
</cfif>

<!---
This makes sure phone is not blank and that it is numeric when
you strip away the punctuation: (xxx) xxx-xxx-xxxx
--->
<cfif phone eq "" or not(isnumeric(REReplaceNoCase(phone, "[[:alpha:]]|[[:punct:]]|[[:space:]]", "","all")))>
	<cfset validation_error = listappend(validation_error, "phone")>
</cfif>

<cftry>
<cfif listlen(validation_error) gt 0>
	<cfinclude template="input.cfm">
<cfelse>
	<cfinclude template="process.cfm">
</cfif>

<cfcatch type="any">
	Error in validation inclusion.
	<cfabort>
</cfcatch>
</cftry>
<!--- 
Bounce them back if there is an error --->
